<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ui.monitoringScreen.MonitoringActivity">

    <View
        android:id="@+id/viewPlaceholder"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="18dp"
        app:layout_constraintDimensionRatio="w,0.56:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <SurfaceView
        android:id="@+id/surfaceView"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="18dp"
        app:layout_constraintDimensionRatio="w,0.56:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/imgPause"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="18dp"
        android:scaleType="fitXY"
        android:visibility="gone"
        app:layout_constraintDimensionRatio="w,0.56:1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/bg_not_in_playing" />

    <ImageView
        android:id="@+id/imageView7"
        android:layout_width="22dp"
        android:layout_height="22dp"
        android:layout_marginStart="13dp"
        android:layout_marginTop="8dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/viewPlaceholder"
        app:srcCompat="@drawable/ic_scan_camera"
        app:tint="@color/color_darker_blue2" />

    <ImageButton
        android:id="@+id/btnFullscreen"
        android:layout_width="29dp"
        android:layout_height="21dp"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="12dp"
        android:background="?android:attr/selectableItemBackground"
        android:contentDescription="@string/text_desc_fullscreen"
        android:scaleType="fitXY"
        android:src="@drawable/ic_fullscreen_button"
        android:text="Button"
        app:layout_constraintBottom_toBottomOf="@+id/surfaceView"
        app:layout_constraintEnd_toEndOf="@+id/surfaceView" />

    <TextView
        android:id="@+id/textDeviceName"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="7dp"
        android:layout_marginEnd="7dp"
        android:ellipsize="end"
        android:fontFamily="@font/arialregular"
        android:maxLines="1"
        android:text="TextView"
        android:textColor="@color/color_darker_blue2"
        android:textSize="16sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/imageView7"
        app:layout_constraintEnd_toStartOf="@+id/imageView9"
        app:layout_constraintStart_toEndOf="@+id/imageView7"
        app:layout_constraintTop_toTopOf="@+id/imageView7" />

    <TextClock
        android:id="@+id/textNowDate"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="7dp"
        android:fontFamily="@font/arialregular"
        android:format12Hour="yyyy/MM/dd"
        android:format24Hour="yyyy/MM/dd"
        android:text="2021/11/11"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@+id/textDeviceName"
        app:layout_constraintEnd_toStartOf="@+id/imageView8"
        app:layout_constraintTop_toTopOf="@+id/textDeviceName" />

    <TextClock
        android:id="@+id/textNowTime"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="14dp"
        android:fontFamily="@font/arialregular"
        android:format12Hour="HH:mm"
        android:format24Hour="HH:mm"
        android:text="11:22"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@+id/textDeviceName"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/textDeviceName" />

    <ImageView
        android:id="@+id/imageView8"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginEnd="4dp"
        app:layout_constraintBottom_toBottomOf="@+id/textDeviceName"
        app:layout_constraintEnd_toStartOf="@+id/textNowTime"
        app:layout_constraintTop_toTopOf="@+id/textDeviceName"
        app:srcCompat="@drawable/ic_time" />

    <ImageView
        android:id="@+id/imageView9"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginEnd="7dp"
        app:layout_constraintBottom_toBottomOf="@+id/textDeviceName"
        app:layout_constraintEnd_toStartOf="@+id/textNowDate"
        app:layout_constraintTop_toTopOf="@+id/textDeviceName"
        app:srcCompat="@drawable/ic_calendar" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/constraintLayout3"
        android:layout_width="0dp"
        android:layout_height="57dp"
        android:layout_marginTop="8dp"
        android:background="@color/color_grey_D3"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/imageView7">

        <RadioGroup
            android:id="@+id/rgButtonMode"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="19dp"
            android:checkedButton="@id/rbCamera"
            android:gravity="center"
            android:orientation="horizontal"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <RadioButton
                android:id="@+id/rbMic"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.25"
                android:button="@drawable/ic_mic_selector" />

            <RadioButton
                android:id="@+id/rbPhone"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.25"
                android:button="@drawable/ic_phone_selector" />

            <RadioButton
                android:id="@+id/rbCamera"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.25"
                android:button="@drawable/ic_cam_selector" />

            <RadioButton
                android:id="@+id/rbPlayback"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.25"
                android:button="@drawable/ic_playback_selector" />

            <RadioButton
                android:id="@+id/rbAlarm"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.25"
                android:button="@drawable/ic_alarm_selector"
                android:visibility="visible" />

        </RadioGroup>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:id="@+id/view16"
        android:layout_width="0dp"
        android:layout_height="30dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/constraintLayout3" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layoutAlarm"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view16">

        <TextView
            android:id="@+id/textView21"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="79dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="23dp"
            android:fontFamily="@font/arialbold"
            android:text="ALARM"
            android:textColor="@color/color_darker_blue2"
            android:textSize="20sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/swAlarm"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <Switch
            android:id="@+id/swAlarm"
            android:layout_width="wrap_content"
            android:layout_height="34dp"
            android:layout_marginStart="34dp"
            android:layout_marginEnd="79dp"
            android:layout_marginBottom="20dp"
            android:thumb="@drawable/img_switch_thumb_selector"
            android:track="@drawable/img_switch_track_selector"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toEndOf="@+id/textView21"
            app:layout_constraintTop_toTopOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layoutDeviceInfo"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="27dp"
        android:layout_marginEnd="27dp"
        android:background="@drawable/bg_camera_information_card"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layoutAlarm">

        <androidx.constraintlayout.widget.Guideline
            android:id="@+id/guideline2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            app:layout_constraintGuide_percent="0.5" />

        <ImageView
            android:id="@+id/imageView10"
            android:layout_width="23dp"
            android:layout_height="0dp"
            android:layout_marginStart="22dp"
            android:layout_marginTop="13dp"
            app:layout_constraintDimensionRatio="h,1:1"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_info" />

        <TextView
            android:id="@+id/textView10"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="9dp"
            android:fontFamily="@font/arialregular"
            android:text="Information"
            android:textColor="@color/color_darker_blue2"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/imageView10"
            app:layout_constraintStart_toEndOf="@+id/imageView10"
            app:layout_constraintTop_toTopOf="@+id/imageView10" />

        <View
            android:id="@+id/view2"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="8dp"
            android:layout_marginEnd="10dp"
            android:background="@color/color_darker_blue2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/imageView10" />

        <ImageView
            android:id="@+id/imgQrCode"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginStart="37dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="37dp"
            android:layout_marginBottom="6dp"
            android:scaleType="fitCenter"
            app:layout_constraintBottom_toTopOf="@+id/textDeviceIP"
            app:layout_constraintDimensionRatio="1:1"
            app:layout_constraintEnd_toStartOf="@+id/guideline2"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view2"
            tools:srcCompat="@tools:sample/avatars" />

        <TextView
            android:id="@+id/textDeviceIP"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="24dp"
            android:fontFamily="@font/arialregular"
            android:text="TextView"
            android:textColor="@color/color_darker_blue2"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/imgQrCode"
            app:layout_constraintStart_toStartOf="@+id/imgQrCode" />

        <TextView
            android:id="@+id/textView12"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:fontFamily="@font/arialregular"
            android:text="CAMERA GROUP:"
            android:textColor="@color/color_darker_blue2"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@+id/guideline2"
            app:layout_constraintTop_toBottomOf="@+id/view2" />

        <HorizontalScrollView
            android:id="@+id/svCameraGroup"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/textView12"
            app:layout_constraintTop_toBottomOf="@+id/textView12">

            <TextView
                android:id="@+id/textCameraGroup"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="@font/arialregular"
                android:text="TextView"
                android:textColor="@color/color_darker_blue2"
                android:textSize="12sp" />

        </HorizontalScrollView>

        <TextView
            android:id="@+id/textView14"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:fontFamily="@font/arialregular"
            android:text="CAMERA name:"
            android:textColor="@color/color_darker_blue2"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@+id/svCameraGroup"
            app:layout_constraintTop_toBottomOf="@+id/svCameraGroup" />

        <TextView
            android:id="@+id/textCameraName"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            android:ellipsize="end"
            android:fontFamily="@font/arialregular"
            android:maxLines="1"
            android:text="TextView"
            android:textColor="@color/color_darker_blue2"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/textView14"
            app:layout_constraintTop_toBottomOf="@+id/textView14" />

        <TextView
            android:id="@+id/textView16"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:fontFamily="@font/arialregular"
            android:text="Camera:"
            android:textColor="@color/color_darker_blue2"
            android:textSize="15sp"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@+id/textCameraName"
            app:layout_constraintTop_toBottomOf="@+id/textCameraName" />

        <TextView
            android:id="@+id/textCameraModel"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            android:ellipsize="end"
            android:fontFamily="@font/arialregular"
            android:maxLines="1"
            android:text="TextView"
            android:textColor="@color/color_darker_blue2"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="@+id/textView16"
            app:layout_constraintTop_toBottomOf="@+id/textView16" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layoutPlayback"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="27dp"
        android:layout_marginTop="30dp"
        android:layout_marginEnd="27dp"
        android:background="@drawable/bg_camera_information_card"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/constraintLayout3">

        <ImageView
            android:id="@+id/imageView"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="18dp"
            android:layout_marginTop="13dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_playback_title" />

        <TextView
            android:id="@+id/textView2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="13dp"
            android:layout_marginTop="10dp"
            android:fontFamily="@font/arialregular"
            android:text="Select date &amp; time range"
            android:textColor="@color/color_darker_blue2"
            android:textSize="20sp"
            android:textStyle="bold"
            app:layout_constraintStart_toEndOf="@+id/imageView"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/view9"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="4dp"
            android:layout_marginEnd="10dp"
            android:background="@color/color_darker_blue2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/textView2" />

        <TextView
            android:id="@+id/textView13"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="24dp"
            android:layout_marginTop="10dp"
            android:fontFamily="@font/arialregular"
            android:text="Date"
            android:textColor="@color/color_darker_blue2"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view9" />

        <TextView
            android:id="@+id/textDatePicker"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:layout_marginEnd="28dp"
            android:background="?android:attr/selectableItemBackground"
            android:fontFamily="@font/arialregular"
            android:text="TextView"
            android:textColor="@color/color_darker_blue2"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textView13" />

        <View
            android:id="@+id/view10"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginStart="24dp"
            android:layout_marginEnd="24dp"
            android:background="@color/color_darker_blue2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/textDatePicker" />

        <TextView
            android:id="@+id/textView19"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="24dp"
            android:layout_marginTop="9dp"
            android:fontFamily="@font/arialregular"
            android:text="Start Form"
            android:textColor="@color/color_darker_blue2"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view10" />

        <TextView
            android:id="@+id/textStartTime"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:layout_marginEnd="28dp"
            android:background="?android:attr/selectableItemBackground"
            android:fontFamily="@font/arialregular"
            android:text="00:00:00"
            android:textColor="@color/color_darker_blue2"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/textView19" />

        <View
            android:id="@+id/view11"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginStart="24dp"
            android:layout_marginEnd="24dp"
            android:background="@color/color_darker_blue2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/textStartTime" />

        <TextView
            android:id="@+id/textView22"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="24dp"
            android:layout_marginTop="9dp"
            android:fontFamily="@font/arialregular"
            android:text="End To"
            android:textColor="@color/color_darker_blue2"
            android:textSize="12sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view11" />

        <TextView
            android:id="@+id/textEndTime"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="28dp"
            android:layout_marginEnd="28dp"
            android:background="?android:attr/selectableItemBackground"
            android:fontFamily="@font/arialregular"
            android:text="23:59:59"
            android:textColor="@color/color_darker_blue2"
            android:textSize="20sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/textView22" />

        <View
            android:id="@+id/view12"
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginStart="24dp"
            android:layout_marginEnd="24dp"
            android:layout_marginBottom="18dp"
            android:background="@color/color_darker_blue2"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/textEndTime" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageButton
        android:id="@+id/btnAction"
        android:layout_width="0dp"
        android:layout_height="60dp"
        android:layout_marginStart="27dp"
        android:layout_marginEnd="27dp"
        android:layout_marginBottom="41dp"
        android:background="@drawable/bg_round_button2"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:srcCompat="@drawable/ic_cam_large"
        app:tint="@android:color/white" />

    <LinearLayout
        android:id="@+id/layoutLive"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="11dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/bg_live"
        android:gravity="center"
        android:orientation="horizontal"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/surfaceView">

        <ImageView
            android:id="@+id/imageView12"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:layout_marginEnd="5dp"
            app:srcCompat="@drawable/ic_live_dot" />

        <TextView
            android:id="@+id/textView18"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="3dp"
            android:layout_weight="0"
            android:fontFamily="@font/arialregular"
            android:text="LIVE"
            android:textColor="@android:color/white"
            android:textSize="16sp" />
    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>